# Reference

## boost::redis::any_adapter

A type‐erased reference to a response.

### Synopsis

Declared in `<boost/redis/adapter/any_adapter.hpp>`

    class any_adapter;

### Member Functions

Name | Description
`any_adapter` [constructor] | Constructor.

### Friends

Name | Description
`boost::redis::basic_connection` | A SSL connection to the Redis server.

### Description

A type‐erased response adapter. It can be executed using `connection::async_exec`. Using this type instead of raw response references enables separate compilation.

Given a response object `resp` that can be passed to `async_exec`, the following two statements have the same effect:

    co_await conn.async_exec(req, resp);
    co_await conn.async_exec(req, any_response(resp));

Created with MrDocs